"use server"

import { ItemService } from "@/services/item.service"
import { RecipientService } from "@/services/recipient.service"

import NewAssetForm from "../_components/new.asset.form"

export default async function NewAssetPage() {
  const items = await ItemService.findAllAssignable()
  const recipients = await RecipientService.findAll()

  return (
    <div className="flex flex-col gap-4">
      <div className="flex items-center justify-between gap-4">
        <h1 className="text-2xl font-bold">New Asset</h1>
      </div>
      <NewAssetForm items={items} recipients={recipients} />
    </div>
  )
}
